##### [Version 1.2.7](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.2.6...v1.2.7) (2024-02-23)

### Fixes
- Text improvements
- Updated dependencies

##### [Version 1.2.6](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.2.5...v1.2.6) (2024-01-11)

### New Features
- **New button** to import a TPC template directly into a post, page, or custom layout

### Improvements
- **Updated dependencies**

### Bug Fixes
- **Fixed Elementor content** on template import.
- **Fixed typo** in onboarding text.

##### [Version 1.2.5](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.2.4...v1.2.5) (2023-10-26)

### Improvements
- **Enhance code quality**: Elevated the code quality for the recently introduced onboarding feature
- **Fine-tune development processes and rectify minor issues**: Integrated the PHPStan tool to fine-tune the development workflow, proactively preventing potential code errors

##### [Version 1.2.4](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.2.3...v1.2.4) (2023-10-17)

### Bug Fixes
- **Dashboard notification**: Ensure proper syntax is utilized to access the static variable in the logger.

##### [Version 1.2.3](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.2.2...v1.2.3) (2023-10-09)

### Bug Fixes
- **Security Patch**: Addressed an issue where log files had a predictable name, enhancing the privacy of WordPress details.

##### [Version 1.2.2](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.2.1...v1.2.2) (2023-10-05)

### Improvements
- **Onboarding UX**: Enhanced the onboarding process for a smoother user experience.

### Bug Fixes
- **Onboarding redirection**: Fixed the issue where users got redirected to the old onboarding if they were installing the Cloud Templates & Patterns collection plugin from the dashboard

##### [Version 1.2.1](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.2.0...v1.2.1) (2023-09-25)

- [Fix] Open the new onboarding when Templates Patterns Collection is installed from Neve welcome notice

#### [Version 1.2.0](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.39...v1.2.0) (2023-09-25)

- [Feat] New onboarding for Neve theme
- [Fix] PHP Warning on import when having PHP 8.1
- [Fix] Editing a template name does not work
- [Fix] Error while trying to activate the plugin when having PHP 5.6
- Increased the minimum required version of WordPress
- Add a documentation notice after the import for the Podcast starter site
- Increase the minimum required version of WordPress
- Update plugin description

##### [Version 1.1.39](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.38...v1.1.39) (2023-06-19)

- Feat: Allow post types from Pods plugin to be imported
- Feat: Add support for Neve setting page 
- Fix: Import preview Elementor.
- Fix: Improved Elementor styles for light and dark skin.
- Fix: Error from TPC inside FSE editor.
- Supporting changes for Neve PRO
- SDK updated to 3.3.0

##### [Version 1.1.38](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.37...v1.1.38) (2023-04-25)

- Fix: Alignment title in Elementor
- Fix: Tooltip for cleanup on import
- Fix: Notification dismiss

##### [Version 1.1.37](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.36...v1.1.37) (2023-03-31)

- Updated dependencies and docs

##### [Version 1.1.36](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.35...v1.1.36) (2023-03-17)

- Fix: Admin paths consistency
- Fix: Prevent cloned posts to inherit template metadata
- Fix: Improve compatibility for LifterLMS

##### [Version 1.1.35](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.34...v1.1.35) (2023-02-27)

- Feat: Added feedback survey
- Feat: Allow Sparks installation
- Feat: Allow Custom Layouts from Neve to be Imported and Exported

##### [Version 1.1.34](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.33...v1.1.34) (2023-02-15)

- Fix: Hide the "My Library" button when Neve white-label option is set.
- Fix: Validation on Premium requests on some edge cases.
- Fix: Automatic screenshot generation on premade templates

##### [Version 1.1.33](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.32...v1.1.33) (2023-02-03)

- Fix: Modal pagination styles
- Feat: Premade templates automatic screenshot generation
- Fix: Individual bulk import

##### [Version 1.1.32](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.31...v1.1.32) (2023-01-20)

- Fix: Estatik plugin install

##### [Version 1.1.31](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.30...v1.1.31) (2023-01-19)

- Fix: text changes
- Fix: image size generation on import
- Fix: Improved text translations

##### [Version 1.1.30](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.29...v1.1.30) (2022-11-25)

- Fix: mega menu item import settings mapping

##### [Version 1.1.29](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.28...v1.1.29) (2022-11-18)

- Feat: Allow Independent license
- Feat: Add subscription form after importing

##### [Version 1.1.28](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.27...v1.1.28) (2022-11-10)

- Fix dismiss Neve notice after Starter Site import
- Fix import modal white space
- Fix modal UX

##### [Version 1.1.27](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.26...v1.1.27) (2022-11-03)

- Feat Map for Restrict Content plugin
- Feat Allow SVG during import
- Feat Added performance features step
- Fix plugin removal reliability
- Fix the Import template button language in Elementor

##### [Version 1.1.26](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.25...v1.1.26) (2022-09-13)

- Fix warding on toast message when saving empty templates
- Fix UTM URLs
- Fix Restricted Content plugin mapping

##### [Version 1.1.25](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.24...v1.1.25) (2022-07-28)

- Improvements to Workflow
- Fixed plugin activation for recipe card plugin on import
- Better support for WooCommerce blocks after product import
- Better support for themes
- Remove Neve dependencies from Template Patterns Collection
- Improve display on categories for PRO licenses

##### [Version 1.1.24](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.23...v1.1.24) (2022-07-12)

Release

##### [Version 1.1.23](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.22...v1.1.23) (2022-06-30)

Removed unsupported builders from the list
Enhanced and changed layout

##### [Version 1.1.22](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.21...v1.1.22) (2022-05-27)

Enhance compatibility with Woocommerce Starter Sites
Enhance compatibility with Mega menus import

##### [Version 1.1.21](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.20...v1.1.21) (2022-02-21)

- Remove upsell from Gutenberg tab
- Improve no template screen

##### [Version 1.1.20](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.19...v1.1.20) (2021-12-23)

- Improve upsells to better inform the possibilities from pro

##### [Version 1.1.19](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.18...v1.1.19) (2021-12-07)

- widgets import was not skipped if toggle was off
- reassign duplicated widgets to inactive widgets sidebar

##### [Version 1.1.18](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.17...v1.1.18) (2021-10-07)

* Replace add_post_meta function with update_post_meta function to avoid duplicate meta keys.

##### [Version 1.1.17](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.16...v1.1.17) (2021-08-30)

- add the capability to clean up previous import plugins and content before the next import
- fix mapping categories that are used in Gutenberg blocks

##### [Version 1.1.16](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.15...v1.1.16) (2021-08-03)

- fix missing files error

##### [Version 1.1.15](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.14...v1.1.15) (2021-08-03)

- Add filter for imported theme mods
- Fix dashboard notice on WordPress 5.8
- Fix error when refreshing the templates page with the page templates tab focused
- UX improvements

##### [Version 1.1.14](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.13...v1.1.14) (2021-07-05)

- Allow Page Templates Support

##### [Version 1.1.13](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.12...v1.1.13) (2021-05-31)

* Fix compatibility with WooCommerce specific pages on import

##### [Version 1.1.12](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.11...v1.1.12) (2021-05-17)

* Improve plugin constant definitions.

##### [Version 1.1.11](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.10...v1.1.11) (2021-05-13)

* Improve translations 
* Improve texts and descriptions

##### [Version 1.1.10](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.9...v1.1.10) (2021-05-05)

- Allow user-made templates to save metadata
- Fix Custom Layouts editor crashing
- Fix Gutenberg sync update template for non-Gutenberg templates

##### [Version 1.1.9](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.8...v1.1.9) (2021-04-29)

- [Fix] Content images not delivered from user site after import on some demos
- [Fix] Replace content links with local links on core editor demos

##### [Version 1.1.8](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.7...v1.1.8) (2021-04-29)

- Decode HTML entities in title 
- Improve Templates Cloud visibility
- Fix meta not saving properly

##### [Version 1.1.7](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.6...v1.1.7) (2021-04-12)

- Rename to "Save to Templates Cloud" to "Neve Cloud"
- Improve search
- Fix Sync button layout on hover
- Improve how we handle template name
- Associate template with Meta
- Activate Elementor/Beaver if importing respective templates

##### [Version 1.1.6](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.5...v1.1.6) (2021-03-16)

- Fix Onboarding failing

##### [Version 1.1.5](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.4...v1.1.5) (2021-03-16)

- Add Beaver Builder integration
- Check if the template exists before updating
- Fix infinite scroll for Elementor
- Various fixes

##### [Version 1.1.4](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.3...v1.1.4) (2021-02-22)

- fix Elementor exporter sometimes not working

##### [Version 1.1.3](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.2...v1.1.3) (2021-02-10)

- Adds support for Elementor templates upload to Template Cloud
- Adds support for single Elementor templates import
- Fixe issue with CSS variables not being properly imported when importing individual templates
- Fixes icon misalignment inside the WordPress editor
- Allow site import even if the user doesn't have permissions to install plugins if the plugins are already installed and he can activate them

##### [Version 1.1.2](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.1...v1.1.2) (2020-12-17)

* Fix rest meta fields not getting registered

##### [Version 1.1.1](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.1.0...v1.1.1) (2020-12-08)

- Multisite Starter Sites compatibility
- Templates Cloud block compatibility with WP 5.6

#### [Version 1.1.0](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.11...v1.1.0) (2020-11-24)

- Single page templates
- Cloud storage for custom-built templates

##### [Version 1.0.11](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.10...v1.0.11) (2020-10-13)

- Moved onboarding to TPC
- Fixed small layout compatibility issue with Gutenberg

##### [Version 1.0.10](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.9...v1.0.10) (2020-09-21)

* Define plugin constants and remove no longer needed ones.

##### [Version 1.0.9](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.8...v1.0.9) (2020-08-26)

* Improve ordering
* Fix notices on import

##### [Version 1.0.8](https://github.com/Codeinwp/templates-patterns-collection/compare/v1.0.7...v1.0.8) (2020-07-29)

* Initial Release
